-- （1）为学生表增加一个 “平均成绩 ”字段，类型为短整型，默认是空值。
USE 学生管理;
ALTER TABLE 学生表 ADD
平均成绩 SMALLINT DEFAULT NULL;

-- （2）为课程表的 “学时 ”字段重新定义约束：取值为 8的倍数，不允许为空值。
USE 学生管理;
ALTER TABLE 课程表 ADD 
CONSTRAINT multiple_of_8 CHECK ( 学时 % 8 = 0);
ALTER TABLE 课程表 
ALTER COLUMN 学时 SMALLINT NOT NULL;

-- （3）将院系表的 “名称 ”字段的类型修改为 varchar(30)。
USE 学生管理;
ALTER TABLE 院系表 
ALTER COLUMN 名称 VARCHAR(30);

-- （4）为教师表增加一个 “工资 ”字段，类型为 5位整数、 2位小数的数值型。
USE 学生管理;
ALTER TABLE 教师表 
ADD 工资 DECIMAL(7, 2);